This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 697736 - nfs server (rpc.rquotad, rpc.nfsd) can not start
nfs server (rpc.rquotad, rpc.nfsd) can not start
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
14
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-19 00:52 EDT by kazimsarikaya
Modified: 2012-03-13 14:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-13 14:43:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description kazimsarikaya 2011-04-19 00:52:29 EDT
Description of problem:
My locale is en_us. inside the folder /usr/share/locale/en_US/LC_MESSAGES/ libc.mo is missing. Hence like nfs server need this file. it can not run. i straced rpc.rquotad i get this errors: 

....
munmap(0x7f0e7a47f000, 4096)            = 0
open("/usr/share/locale/en_US.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_US/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
write(2, "Cannot register service: RPC: Au"..., 85Cannot register service: RPC: Authentication error; why = Client credential too weak
) = 85
close(4)                                = 0
open("/usr/share/locale/en_US.utf8/LC_MESSAGES/quota.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_US/LC_MESSAGES/quota.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en.utf8/LC_MESSAGES/quota.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/quota.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
write(2, "rpc.rquotad: ", 13rpc.rquotad: )           = 13
write(2, "unable to register (RQUOTAPROG, "..., 50unable to register (RQUOTAPROG, RQUOTAVERS, udp).
) = 50
exit_group(1) 


other locales have libc.mo, however only fr and pl have quota.mo.

when i searched quota.mo with yum. quota package copies it for fr pl. 


Then straced rpc.nfsd; it can not write to
....
open("/proc/fs/nfsd/portlist", O_WRONLY) = 3
....

write(3, "4\n", 2)                      = -1 EACCES (Permission denied)
write(2, "rpc.nfsd: ", 10rpc.nfsd: )              = 10
write(2, "writing fd to kernel failed: err"..., 57writing fd to kernel failed: errno 13 (Permission denied)) = 57
write(2, "\n", 1
....

/proc/fs/nfsd/portlist 's mod id 655 for root.


Now my nfs server can not work. 

May i wrong but something seems strange to me.



Version-Release number of selected component (if applicable):
glibc-common-2.13-1.x86_64
nfs-utils-1.2.3-5.fc14.x86_64
Comment 1 kazimsarikaya 2011-04-22 02:39:57 EDT
if i start rpcbind in insecure mode with -i option the problem fixed. However why i need to start rpcbind insecure mode?
Comment 2 Steve Dickson 2011-10-04 12:59:47 EDT
(In reply to comment #1)
> if i start rpcbind in insecure mode with -i option the problem fixed. However
> why i need to start rpcbind insecure mode?

Was SELinux enabled?

Note You need to log in before you can comment on or make changes to this bug.